diff --git a/tests/wcs/test_all.py b/tests/wcs/test_all.py
index abfb5eef..e363d6c2 100644
--- a/tests/wcs/test_all.py
+++ b/tests/wcs/test_all.py
@@ -4480,66 +1992,6 @@ def test_manager_link_list_cell_duplicate():
     assert new_item.cached_json == item.cached_json
 
 
-@mock.patch('requests.Session.send', side_effect=mocked_requests_send)
-def test_cell_condition(mock_send, nocache, app):
-    page = Page.objects.create(title='xxx', slug='foo', template_name='standard')
-    cell = WcsCardInfosCell.objects.create(
-        page=page,
-        placeholder='content',
-        order=0,
-        carddef_reference='default:card_model_1',
-        card_ids='{{ cards|objects:"card_model_1"|last|get:"id" }}',
-    )
-
-    cell.condition = 'cards|objects:"card_model_1"|getlist:"id"|list'
-    cell.save()
-    resp = app.get(page.get_online_url())
-    assert len(resp.context['cells']) == 1
-
-    cell.condition = 'cards|objects:"card_model_1"|getlist:"id"|get:42'
-    cell.save()
-    resp = app.get(page.get_online_url())
-    assert len(resp.context.get('cells') or []) == 0
-
-    page.extra_variables = {'var1': '{{ cards|objects:"card_model_1"|getlist:"id"|list }}'}
-    page.save()
-    cell.condition = 'var1'
-    cell.save()
-    resp = app.get(page.get_online_url())
-    assert len(resp.context['cells']) == 1
-
-    page.extra_variables = {'var1': '{{ cards|objects:"card_model_1"|getlist:"id"|get:42|default:"" }}'}
-    page.save()
-    resp = app.get(page.get_online_url())
-    assert len(resp.context.get('cells') or []) == 0
-
-    page.extra_variables = {
-        'var1': '{{ cards|objects:"unknown"|first|get:"id"|default:"" }}',
-        'var2': '{{ cards|objects:"card_model_1"|first|get:"id"|default:"" }}',
-    }
-    page.save()
-    cell.condition = 'not var1'
-    cell.save()
-    resp = app.get(page.get_online_url())
-    assert len(resp.context['cells']) == 1
-    cell.condition = 'var2'
-    cell.save()
-    resp = app.get(page.get_online_url())
-    assert len(resp.context['cells']) == 1
-    cell.condition = 'not var2'
-    cell.save()
-    resp = app.get(page.get_online_url())
-    assert len(resp.context.get('cells') or []) == 0
-    cell.condition = 'not var1 and not var2'
-    cell.save()
-    resp = app.get(page.get_online_url())
-    assert len(resp.context.get('cells') or []) == 0
-    cell.condition = 'not var1 and var2'
-    cell.save()
-    resp = app.get(page.get_online_url())
-    assert len(resp.context['cells']) == 1
-
-
 @mock.patch('requests.Session.send', side_effect=mocked_requests_send)
 def test_link_list_cell_condition(mock_send, nocache, app):
     page = Page.objects.create(title='xxx', slug='foo', template_name='standard')
@@ -4766,27 +2218,3 @@ def test_search_external_forms_links(mock_send, context):
     request.user = AnonymousUser()
     hits = search_site(request, 'form')
     assert len(hits) == 2
-
-
-@mock.patch('requests.Session.send', side_effect=mocked_requests_send)
-def test_card_file_redirection(mock_send, app):
-    page = Page(title='One', slug='one', template_name='standard')
-    page.save()
-    cell = WcsCardInfosCell(page=page, placeholder='content', order=0)
-    cell.carddef_reference = 'default:card_model_1'
-    cell.card_ids = '11'
-    cell.save()
-    resp = app.get('/one/')
-    ajax_cell_url = PyQuery(resp.text).find('[data-ajax-cell-url]').attr['data-ajax-cell-url']
-    extra_ctx = re.findall(r'data-extra-context="(.*)"', resp.text)
-    resp = app.get(ajax_cell_url + '?ctx=' + extra_ctx[0])
-    file_url = PyQuery(resp.text).find('[download]').attr['href']
-    resp = app.get(file_url)
-    assert 'download?f=42' in resp.location
-    assert '&signature=' in resp.location
-
-    # invalid crypto
-    resp = app.get(file_url[:-2] + 'X/', status=403)
-
-    # invalid session key
-    resp = app.get(file_url.replace('file/', 'file/X'), status=403)
